# Uses of Enum Class
javafx.scene.text.TextBoundsType

Packages that use TextBoundsType
Package
Description
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of TextBoundsType in javafx.scene.text

Methods in javafx.scene.text that return TextBoundsType
Modifier and Type
Method
Description
`final TextBoundsType`
Text.`getBoundsType()`
Gets the value of the `boundsType` property.
`static TextBoundsType`
TextBoundsType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextBoundsType[]`
TextBoundsType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.text that return types with arguments of type TextBoundsType
Modifier and Type
Method
Description
`final ObjectProperty<TextBoundsType>`
Text.`boundsTypeProperty()`
Determines how the bounds of the text node are calculated.
Methods in javafx.scene.text with parameters of type TextBoundsType
Modifier and Type
Method
Description
`final void`
Text.`setBoundsType(TextBoundsType value)`
Sets the value of the `boundsType` property.